### Enumeration

# Secret SchemaAttributeType

#### Declaration

    enum Secret.SchemaAttributeType

#### Description [src]

The type of an attribute in a `SecretSchema`.

Attributes are stored as strings in the Secret Service, and the attribute types simply define standard ways to store integer and boolean values as strings.

#### Members

Name | Description
--- | ---
`SECRET_SCHEMA_ATTRIBUTE_STRING` | A utf-8 string attribute.
`SECRET_SCHEMA_ATTRIBUTE_INTEGER` | An integer attribute, stored as a decimal.
`SECRET_SCHEMA_ATTRIBUTE_BOOLEAN` | A boolean attribute, stored as ‘true’ or ‘false’